# Get Users

## Users

<mark style="color:blue;">`GET`</mark> `https://api.commander1.com/v2/{siteId}/users`

Two usages :\
GET **/users/** : Returns a list of user properties (depending on the parameters requested) linked to the users of a site.\
GET **/users/123** : Return properties of one user (id **123**) on one site.\
\
Click below to download complete API documentation

#### Query Parameters

| Name    | Type    | Description                                           |
| ------- | ------- | ----------------------------------------------------- |
| id      | integer | The user id                                           |
| include | string  | `permissions` or `roles` or both separated by a comma |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

{% file src="/files/-LwYiAx6GaAVuWwDE0-s" %}
Download complete API documentation
{% endfile %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://community.commandersact.com/platform/rest-api/get-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
